Package net.sf.saxon.expr

## Class JPConverter.FromInstant

- java.lang.Object
- - net.sf.saxon.expr.JPConverter
  - - net.sf.saxon.expr.JPConverter.FromInstant

- Enclosing class:
    JPConverter

      public static class JPConverter.FromInstant
      extends JPConverter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.expr.JPConverter

      `JPConverter.ExternalObjectWrapper, JPConverter.FromBigDecimal, JPConverter.FromBigInteger, JPConverter.FromBoolean, JPConverter.FromBooleanArray, JPConverter.FromByte, JPConverter.FromByteArray, JPConverter.FromCharacter, JPConverter.FromCharArray, JPConverter.FromCollection, JPConverter.FromDate, JPConverter.FromDouble, JPConverter.FromDoubleArray, JPConverter.FromFloat, JPConverter.FromFloatArray, JPConverter.FromInstant, JPConverter.FromInt, JPConverter.FromIntArray, JPConverter.FromLocalDate, JPConverter.FromLocalDateTime, JPConverter.FromLong, JPConverter.FromLongArray, JPConverter.FromObject, JPConverter.FromObjectArray, JPConverter.FromOffsetDateTime, JPConverter.FromQName, JPConverter.FromSequence, JPConverter.FromSequenceIterator, JPConverter.FromShort, JPConverter.FromShortArray, JPConverter.FromSource, JPConverter.FromString, JPConverter.FromURI, JPConverter.FromXdmValue, JPConverter.FromZonedDateTime, JPConverter.VoidConverter`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static JPConverter.FromInstant` | `INSTANCE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FromInstant()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DateTimeValue` | `convert​(java.lang.Object object, XPathContext context)` | Convert a Java object to an equivalent XPath value
    `ItemType` | `getItemType()` | Get the item type of the XPath value that will result from the conversion

    - ### Methods inherited from class net.sf.saxon.expr.JPConverter

      `allocate, getCardinality`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final JPConverter.FromInstant INSTANCE

  - ### Constructor Detail

    - #### FromInstant

          public FromInstant()

  - ### Method Detail

    - #### convert

          public DateTimeValue convert​(java.lang.Object object,
                                       XPathContext context)
                                throws XPathException

      Description copied from class: `JPConverter`
      Convert a Java object to an equivalent XPath value
      Specified by:
        `convert` in class `JPConverter`
      Parameters:
        `object` - the java object to be converted
        `context` - the XPath dynamic evaluation context
      Returns:
        the XPath value resulting from the conversion
      Throws:
        `XPathException` - if the conversion is not possible or if it fails

    - #### getItemType

          public ItemType getItemType()

      Description copied from class: `JPConverter`
      Get the item type of the XPath value that will result from the conversion
      Specified by:
        `getItemType` in class `JPConverter`
      Returns:
        the XPath item type